using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace RadarrSharp.Models {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class InlineResponse2006 {
    /// <summary>
    /// 1
    /// </summary>
    /// <value>1</value>
    [DataMember(Name="page", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "page")]
    public int? Page { get; set; }

    /// <summary>
    /// 20
    /// </summary>
    /// <value>20</value>
    [DataMember(Name="pageSize", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "pageSize")]
    public int? PageSize { get; set; }

    /// <summary>
    /// descending
    /// </summary>
    /// <value>descending</value>
    [DataMember(Name="sortDirection", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "sortDirection")]
    public string SortDirection { get; set; }

    /// <summary>
    /// date
    /// </summary>
    /// <value>date</value>
    [DataMember(Name="sortKey", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "sortKey")]
    public string SortKey { get; set; }

    /// <summary>
    /// Gets or Sets TotalRecords
    /// </summary>
    [DataMember(Name="totalRecords", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "totalRecords")]
    public int? TotalRecords { get; set; }

    /// <summary>
    /// Gets or Sets Records
    /// </summary>
    [DataMember(Name="records", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "records")]
    public List<Blocklist> Records { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class InlineResponse2006 {\n");
      sb.Append("  Page: ").Append(Page).Append("\n");
      sb.Append("  PageSize: ").Append(PageSize).Append("\n");
      sb.Append("  SortDirection: ").Append(SortDirection).Append("\n");
      sb.Append("  SortKey: ").Append(SortKey).Append("\n");
      sb.Append("  TotalRecords: ").Append(TotalRecords).Append("\n");
      sb.Append("  Records: ").Append(Records).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
