using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace RadarrSharp.Models {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class Quality {
    /// <summary>
    /// Gets or Sets _Quality
    /// </summary>
    [DataMember(Name="quality", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "quality")]
    public QualityQuality _Quality { get; set; }

    /// <summary>
    /// Gets or Sets Revision
    /// </summary>
    [DataMember(Name="revision", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "revision")]
    public QualityRevision Revision { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class Quality {\n");
      sb.Append("  _Quality: ").Append(_Quality).Append("\n");
      sb.Append("  Revision: ").Append(Revision).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
