using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace RadarrSharp.Models {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class QualityRevision {
    /// <summary>
    /// Gets or Sets Version
    /// </summary>
    [DataMember(Name="version", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "version")]
    public int? Version { get; set; }

    /// <summary>
    /// Gets or Sets Real
    /// </summary>
    [DataMember(Name="real", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "real")]
    public int? Real { get; set; }

    /// <summary>
    /// Gets or Sets IsRepack
    /// </summary>
    [DataMember(Name="isRepack", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isRepack")]
    public bool? IsRepack { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class QualityRevision {\n");
      sb.Append("  Version: ").Append(Version).Append("\n");
      sb.Append("  Real: ").Append(Real).Append("\n");
      sb.Append("  IsRepack: ").Append(IsRepack).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
