﻿using System.Net.Http;
using System.Threading.Tasks;

namespace RadarrSharp.Proxies
{
    internal interface IRadarrProxy
    {
        Task<T> GetAsync<T>(string url);
        Task<T> PostAsync<T, U>(string rootUrl, U data);
        Task<T> PutAsync<T, U>(string rootUrl, U data);
        Task<HttpResponseMessage> DeleteAsync(string rootUrl);
    }
}
