﻿using RadarrSharp.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RadarrSharp.Services.Implementation
{
    public class QualityService : BaseRadarrService, IQualityService
    {
        public QualityService(string ip, string port, string apiKey) : base(ip, port, apiKey)
        {

        }

        public async Task<IEnumerable<QualityProfile>> GetQualities()
        {
            var qualityProfiles = await base.GetAsync<IEnumerable<QualityProfile>>("qualityProfile");
            return qualityProfiles;
        }
    }
}
