﻿using RadarrSharp.Models;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace RadarrSharp.Services.Interface
{
    public interface IMovieService
    {
        Task<Movie> AddMovie(Movie movie);
        Task<bool> DeleteMovie(int id, bool addImportExclusion, bool deleteFiles);
        Task<IEnumerable<Movie>> GetMovie(int id);
        Task<IEnumerable<Movie>> GetMovies(string tmdbId = null);
        Task<IEnumerable<Movie>> MovieLookup(string searchTerm);
        Task<Movie> PutMovie(Movie movie, bool moveFiles);
    }
}
