using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace RadarrSharp.Models {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class InlineResponse200 {
    /// <summary>
    /// Gets or Sets Version
    /// </summary>
    [DataMember(Name="version", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "version")]
    public string Version { get; set; }

    /// <summary>
    /// Gets or Sets BuildTime
    /// </summary>
    [DataMember(Name="buildTime", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "buildTime")]
    public string BuildTime { get; set; }

    /// <summary>
    /// Gets or Sets IsDebug
    /// </summary>
    [DataMember(Name="isDebug", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isDebug")]
    public bool? IsDebug { get; set; }

    /// <summary>
    /// Gets or Sets IsProduction
    /// </summary>
    [DataMember(Name="isProduction", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isProduction")]
    public bool? IsProduction { get; set; }

    /// <summary>
    /// Gets or Sets IsAdmin
    /// </summary>
    [DataMember(Name="isAdmin", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isAdmin")]
    public bool? IsAdmin { get; set; }

    /// <summary>
    /// Gets or Sets IsUserInteractive
    /// </summary>
    [DataMember(Name="isUserInteractive", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isUserInteractive")]
    public bool? IsUserInteractive { get; set; }

    /// <summary>
    /// Gets or Sets StartupPath
    /// </summary>
    [DataMember(Name="startupPath", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "startupPath")]
    public string StartupPath { get; set; }

    /// <summary>
    /// Gets or Sets AppData
    /// </summary>
    [DataMember(Name="appData", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "appData")]
    public string AppData { get; set; }

    /// <summary>
    /// Gets or Sets OsName
    /// </summary>
    [DataMember(Name="osName", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "osName")]
    public string OsName { get; set; }

    /// <summary>
    /// Gets or Sets OsVersion
    /// </summary>
    [DataMember(Name="osVersion", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "osVersion")]
    public string OsVersion { get; set; }

    /// <summary>
    /// Gets or Sets IsNetCore
    /// </summary>
    [DataMember(Name="isNetCore", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isNetCore")]
    public bool? IsNetCore { get; set; }

    /// <summary>
    /// Gets or Sets IsMono
    /// </summary>
    [DataMember(Name="isMono", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isMono")]
    public bool? IsMono { get; set; }

    /// <summary>
    /// Gets or Sets IsLinux
    /// </summary>
    [DataMember(Name="isLinux", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isLinux")]
    public bool? IsLinux { get; set; }

    /// <summary>
    /// Gets or Sets IsOsx
    /// </summary>
    [DataMember(Name="isOsx", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isOsx")]
    public bool? IsOsx { get; set; }

    /// <summary>
    /// Gets or Sets IsWindows
    /// </summary>
    [DataMember(Name="isWindows", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isWindows")]
    public bool? IsWindows { get; set; }

    /// <summary>
    /// Gets or Sets IsDocker
    /// </summary>
    [DataMember(Name="isDocker", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isDocker")]
    public bool? IsDocker { get; set; }

    /// <summary>
    /// Gets or Sets Mode
    /// </summary>
    [DataMember(Name="mode", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "mode")]
    public string Mode { get; set; }

    /// <summary>
    /// Gets or Sets Branch
    /// </summary>
    [DataMember(Name="branch", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "branch")]
    public string Branch { get; set; }

    /// <summary>
    /// Gets or Sets Authentication
    /// </summary>
    [DataMember(Name="authentication", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "authentication")]
    public string Authentication { get; set; }

    /// <summary>
    /// Gets or Sets SqliteVersion
    /// </summary>
    [DataMember(Name="sqliteVersion", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "sqliteVersion")]
    public string SqliteVersion { get; set; }

    /// <summary>
    /// Gets or Sets MigrationVersion
    /// </summary>
    [DataMember(Name="migrationVersion", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "migrationVersion")]
    public int? MigrationVersion { get; set; }

    /// <summary>
    /// Gets or Sets UrlBase
    /// </summary>
    [DataMember(Name="urlBase", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "urlBase")]
    public string UrlBase { get; set; }

    /// <summary>
    /// Gets or Sets RuntimeVersion
    /// </summary>
    [DataMember(Name="runtimeVersion", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "runtimeVersion")]
    public string RuntimeVersion { get; set; }

    /// <summary>
    /// Gets or Sets RuntimeName
    /// </summary>
    [DataMember(Name="runtimeName", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "runtimeName")]
    public string RuntimeName { get; set; }

    /// <summary>
    /// Gets or Sets StartTime
    /// </summary>
    [DataMember(Name="startTime", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "startTime")]
    public string StartTime { get; set; }

    /// <summary>
    /// Gets or Sets PackageUpdateMechanism
    /// </summary>
    [DataMember(Name="packageUpdateMechanism", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "packageUpdateMechanism")]
    public string PackageUpdateMechanism { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class InlineResponse200 {\n");
      sb.Append("  Version: ").Append(Version).Append("\n");
      sb.Append("  BuildTime: ").Append(BuildTime).Append("\n");
      sb.Append("  IsDebug: ").Append(IsDebug).Append("\n");
      sb.Append("  IsProduction: ").Append(IsProduction).Append("\n");
      sb.Append("  IsAdmin: ").Append(IsAdmin).Append("\n");
      sb.Append("  IsUserInteractive: ").Append(IsUserInteractive).Append("\n");
      sb.Append("  StartupPath: ").Append(StartupPath).Append("\n");
      sb.Append("  AppData: ").Append(AppData).Append("\n");
      sb.Append("  OsName: ").Append(OsName).Append("\n");
      sb.Append("  OsVersion: ").Append(OsVersion).Append("\n");
      sb.Append("  IsNetCore: ").Append(IsNetCore).Append("\n");
      sb.Append("  IsMono: ").Append(IsMono).Append("\n");
      sb.Append("  IsLinux: ").Append(IsLinux).Append("\n");
      sb.Append("  IsOsx: ").Append(IsOsx).Append("\n");
      sb.Append("  IsWindows: ").Append(IsWindows).Append("\n");
      sb.Append("  IsDocker: ").Append(IsDocker).Append("\n");
      sb.Append("  Mode: ").Append(Mode).Append("\n");
      sb.Append("  Branch: ").Append(Branch).Append("\n");
      sb.Append("  Authentication: ").Append(Authentication).Append("\n");
      sb.Append("  SqliteVersion: ").Append(SqliteVersion).Append("\n");
      sb.Append("  MigrationVersion: ").Append(MigrationVersion).Append("\n");
      sb.Append("  UrlBase: ").Append(UrlBase).Append("\n");
      sb.Append("  RuntimeVersion: ").Append(RuntimeVersion).Append("\n");
      sb.Append("  RuntimeName: ").Append(RuntimeName).Append("\n");
      sb.Append("  StartTime: ").Append(StartTime).Append("\n");
      sb.Append("  PackageUpdateMechanism: ").Append(PackageUpdateMechanism).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
