using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace RadarrSharp.Models {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class InlineResponse2001 {
    /// <summary>
    /// Gets or Sets Version
    /// </summary>
    [DataMember(Name="version", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "version")]
    public string Version { get; set; }

    /// <summary>
    /// Gets or Sets Branch
    /// </summary>
    [DataMember(Name="branch", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "branch")]
    public string Branch { get; set; }

    /// <summary>
    /// Gets or Sets ReleaseDate
    /// </summary>
    [DataMember(Name="releaseDate", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "releaseDate")]
    public string ReleaseDate { get; set; }

    /// <summary>
    /// Gets or Sets FileName
    /// </summary>
    [DataMember(Name="fileName", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "fileName")]
    public string FileName { get; set; }

    /// <summary>
    /// Gets or Sets Url
    /// </summary>
    [DataMember(Name="url", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "url")]
    public string Url { get; set; }

    /// <summary>
    /// Gets or Sets Installed
    /// </summary>
    [DataMember(Name="installed", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "installed")]
    public bool? Installed { get; set; }

    /// <summary>
    /// Gets or Sets Installable
    /// </summary>
    [DataMember(Name="installable", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "installable")]
    public bool? Installable { get; set; }

    /// <summary>
    /// Gets or Sets Latest
    /// </summary>
    [DataMember(Name="latest", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "latest")]
    public bool? Latest { get; set; }

    /// <summary>
    /// Gets or Sets Changes
    /// </summary>
    [DataMember(Name="changes", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "changes")]
    public InlineResponse2001Changes Changes { get; set; }

    /// <summary>
    /// Gets or Sets Hash
    /// </summary>
    [DataMember(Name="hash", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "hash")]
    public string Hash { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class InlineResponse2001 {\n");
      sb.Append("  Version: ").Append(Version).Append("\n");
      sb.Append("  Branch: ").Append(Branch).Append("\n");
      sb.Append("  ReleaseDate: ").Append(ReleaseDate).Append("\n");
      sb.Append("  FileName: ").Append(FileName).Append("\n");
      sb.Append("  Url: ").Append(Url).Append("\n");
      sb.Append("  Installed: ").Append(Installed).Append("\n");
      sb.Append("  Installable: ").Append(Installable).Append("\n");
      sb.Append("  Latest: ").Append(Latest).Append("\n");
      sb.Append("  Changes: ").Append(Changes).Append("\n");
      sb.Append("  Hash: ").Append(Hash).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
