using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace RadarrSharp.Models {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class InlineResponse20010 {
    /// <summary>
    /// Gets or Sets TotalCount
    /// </summary>
    [DataMember(Name="totalCount", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "totalCount")]
    public int? TotalCount { get; set; }

    /// <summary>
    /// Gets or Sets Count
    /// </summary>
    [DataMember(Name="count", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "count")]
    public int? Count { get; set; }

    /// <summary>
    /// Gets or Sets UnknownCount
    /// </summary>
    [DataMember(Name="unknownCount", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "unknownCount")]
    public int? UnknownCount { get; set; }

    /// <summary>
    /// Gets or Sets Errors
    /// </summary>
    [DataMember(Name="errors", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "errors")]
    public bool? Errors { get; set; }

    /// <summary>
    /// Gets or Sets Warnings
    /// </summary>
    [DataMember(Name="warnings", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "warnings")]
    public bool? Warnings { get; set; }

    /// <summary>
    /// Gets or Sets UnknownErrors
    /// </summary>
    [DataMember(Name="unknownErrors", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "unknownErrors")]
    public bool? UnknownErrors { get; set; }

    /// <summary>
    /// Gets or Sets UnknownWarnings
    /// </summary>
    [DataMember(Name="unknownWarnings", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "unknownWarnings")]
    public bool? UnknownWarnings { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class InlineResponse20010 {\n");
      sb.Append("  TotalCount: ").Append(TotalCount).Append("\n");
      sb.Append("  Count: ").Append(Count).Append("\n");
      sb.Append("  UnknownCount: ").Append(UnknownCount).Append("\n");
      sb.Append("  Errors: ").Append(Errors).Append("\n");
      sb.Append("  Warnings: ").Append(Warnings).Append("\n");
      sb.Append("  UnknownErrors: ").Append(UnknownErrors).Append("\n");
      sb.Append("  UnknownWarnings: ").Append(UnknownWarnings).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
