using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace RadarrSharp.Models {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class InlineResponse2005 {
    /// <summary>
    /// Gets or Sets Host
    /// </summary>
    [DataMember(Name="host", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "host")]
    public string Host { get; set; }

    /// <summary>
    /// Gets or Sets RemotePath
    /// </summary>
    [DataMember(Name="remotePath", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "remotePath")]
    public string RemotePath { get; set; }

    /// <summary>
    /// Gets or Sets LocalPath
    /// </summary>
    [DataMember(Name="localPath", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "localPath")]
    public string LocalPath { get; set; }

    /// <summary>
    /// Gets or Sets Id
    /// </summary>
    [DataMember(Name="id", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "id")]
    public int? Id { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class InlineResponse2005 {\n");
      sb.Append("  Host: ").Append(Host).Append("\n");
      sb.Append("  RemotePath: ").Append(RemotePath).Append("\n");
      sb.Append("  LocalPath: ").Append(LocalPath).Append("\n");
      sb.Append("  Id: ").Append(Id).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
