using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace RadarrSharp.Models {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class InlineResponse2007 {
    /// <summary>
    /// Gets or Sets BindAddress
    /// </summary>
    [DataMember(Name="bindAddress", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "bindAddress")]
    public string BindAddress { get; set; }

    /// <summary>
    /// Gets or Sets Port
    /// </summary>
    [DataMember(Name="port", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "port")]
    public int? Port { get; set; }

    /// <summary>
    /// Gets or Sets SslPort
    /// </summary>
    [DataMember(Name="sslPort", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "sslPort")]
    public int? SslPort { get; set; }

    /// <summary>
    /// Gets or Sets EnableSsl
    /// </summary>
    [DataMember(Name="enableSsl", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "enableSsl")]
    public bool? EnableSsl { get; set; }

    /// <summary>
    /// Gets or Sets LaunchBrowser
    /// </summary>
    [DataMember(Name="launchBrowser", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "launchBrowser")]
    public bool? LaunchBrowser { get; set; }

    /// <summary>
    /// Gets or Sets AuthenticationMethod
    /// </summary>
    [DataMember(Name="authenticationMethod", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "authenticationMethod")]
    public string AuthenticationMethod { get; set; }

    /// <summary>
    /// Gets or Sets AnalyticsEnabled
    /// </summary>
    [DataMember(Name="analyticsEnabled", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "analyticsEnabled")]
    public bool? AnalyticsEnabled { get; set; }

    /// <summary>
    /// Gets or Sets Username
    /// </summary>
    [DataMember(Name="username", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "username")]
    public string Username { get; set; }

    /// <summary>
    /// Gets or Sets Password
    /// </summary>
    [DataMember(Name="password", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "password")]
    public string Password { get; set; }

    /// <summary>
    /// Gets or Sets LogLevel
    /// </summary>
    [DataMember(Name="logLevel", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "logLevel")]
    public string LogLevel { get; set; }

    /// <summary>
    /// Gets or Sets ConsoleLogLevel
    /// </summary>
    [DataMember(Name="consoleLogLevel", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "consoleLogLevel")]
    public string ConsoleLogLevel { get; set; }

    /// <summary>
    /// Gets or Sets Branch
    /// </summary>
    [DataMember(Name="branch", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "branch")]
    public string Branch { get; set; }

    /// <summary>
    /// Gets or Sets ApiKey
    /// </summary>
    [DataMember(Name="apiKey", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "apiKey")]
    public string ApiKey { get; set; }

    /// <summary>
    /// Gets or Sets SslCertPath
    /// </summary>
    [DataMember(Name="sslCertPath", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "sslCertPath")]
    public string SslCertPath { get; set; }

    /// <summary>
    /// Gets or Sets SslCertPassword
    /// </summary>
    [DataMember(Name="sslCertPassword", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "sslCertPassword")]
    public string SslCertPassword { get; set; }

    /// <summary>
    /// Gets or Sets UrlBase
    /// </summary>
    [DataMember(Name="urlBase", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "urlBase")]
    public string UrlBase { get; set; }

    /// <summary>
    /// Gets or Sets UpdateAutomatically
    /// </summary>
    [DataMember(Name="updateAutomatically", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "updateAutomatically")]
    public bool? UpdateAutomatically { get; set; }

    /// <summary>
    /// Gets or Sets UpdateMechanism
    /// </summary>
    [DataMember(Name="updateMechanism", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "updateMechanism")]
    public string UpdateMechanism { get; set; }

    /// <summary>
    /// Gets or Sets UpdateScriptPath
    /// </summary>
    [DataMember(Name="updateScriptPath", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "updateScriptPath")]
    public string UpdateScriptPath { get; set; }

    /// <summary>
    /// Gets or Sets ProxyEnabled
    /// </summary>
    [DataMember(Name="proxyEnabled", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "proxyEnabled")]
    public bool? ProxyEnabled { get; set; }

    /// <summary>
    /// Gets or Sets ProxyType
    /// </summary>
    [DataMember(Name="proxyType", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "proxyType")]
    public string ProxyType { get; set; }

    /// <summary>
    /// Gets or Sets ProxyHostname
    /// </summary>
    [DataMember(Name="proxyHostname", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "proxyHostname")]
    public string ProxyHostname { get; set; }

    /// <summary>
    /// Gets or Sets ProxyPort
    /// </summary>
    [DataMember(Name="proxyPort", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "proxyPort")]
    public int? ProxyPort { get; set; }

    /// <summary>
    /// Gets or Sets ProxyUsername
    /// </summary>
    [DataMember(Name="proxyUsername", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "proxyUsername")]
    public string ProxyUsername { get; set; }

    /// <summary>
    /// Gets or Sets ProxyPassword
    /// </summary>
    [DataMember(Name="proxyPassword", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "proxyPassword")]
    public string ProxyPassword { get; set; }

    /// <summary>
    /// Gets or Sets ProxyBypassFilter
    /// </summary>
    [DataMember(Name="proxyBypassFilter", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "proxyBypassFilter")]
    public string ProxyBypassFilter { get; set; }

    /// <summary>
    /// Gets or Sets ProxyBypassLocalAddresses
    /// </summary>
    [DataMember(Name="proxyBypassLocalAddresses", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "proxyBypassLocalAddresses")]
    public bool? ProxyBypassLocalAddresses { get; set; }

    /// <summary>
    /// Gets or Sets CertificateValidation
    /// </summary>
    [DataMember(Name="certificateValidation", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "certificateValidation")]
    public string CertificateValidation { get; set; }

    /// <summary>
    /// Gets or Sets BackupFolder
    /// </summary>
    [DataMember(Name="backupFolder", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "backupFolder")]
    public string BackupFolder { get; set; }

    /// <summary>
    /// Gets or Sets BackupInterval
    /// </summary>
    [DataMember(Name="backupInterval", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "backupInterval")]
    public int? BackupInterval { get; set; }

    /// <summary>
    /// Gets or Sets BackupRetention
    /// </summary>
    [DataMember(Name="backupRetention", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "backupRetention")]
    public int? BackupRetention { get; set; }

    /// <summary>
    /// Gets or Sets Id
    /// </summary>
    [DataMember(Name="id", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "id")]
    public int? Id { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class InlineResponse2007 {\n");
      sb.Append("  BindAddress: ").Append(BindAddress).Append("\n");
      sb.Append("  Port: ").Append(Port).Append("\n");
      sb.Append("  SslPort: ").Append(SslPort).Append("\n");
      sb.Append("  EnableSsl: ").Append(EnableSsl).Append("\n");
      sb.Append("  LaunchBrowser: ").Append(LaunchBrowser).Append("\n");
      sb.Append("  AuthenticationMethod: ").Append(AuthenticationMethod).Append("\n");
      sb.Append("  AnalyticsEnabled: ").Append(AnalyticsEnabled).Append("\n");
      sb.Append("  Username: ").Append(Username).Append("\n");
      sb.Append("  Password: ").Append(Password).Append("\n");
      sb.Append("  LogLevel: ").Append(LogLevel).Append("\n");
      sb.Append("  ConsoleLogLevel: ").Append(ConsoleLogLevel).Append("\n");
      sb.Append("  Branch: ").Append(Branch).Append("\n");
      sb.Append("  ApiKey: ").Append(ApiKey).Append("\n");
      sb.Append("  SslCertPath: ").Append(SslCertPath).Append("\n");
      sb.Append("  SslCertPassword: ").Append(SslCertPassword).Append("\n");
      sb.Append("  UrlBase: ").Append(UrlBase).Append("\n");
      sb.Append("  UpdateAutomatically: ").Append(UpdateAutomatically).Append("\n");
      sb.Append("  UpdateMechanism: ").Append(UpdateMechanism).Append("\n");
      sb.Append("  UpdateScriptPath: ").Append(UpdateScriptPath).Append("\n");
      sb.Append("  ProxyEnabled: ").Append(ProxyEnabled).Append("\n");
      sb.Append("  ProxyType: ").Append(ProxyType).Append("\n");
      sb.Append("  ProxyHostname: ").Append(ProxyHostname).Append("\n");
      sb.Append("  ProxyPort: ").Append(ProxyPort).Append("\n");
      sb.Append("  ProxyUsername: ").Append(ProxyUsername).Append("\n");
      sb.Append("  ProxyPassword: ").Append(ProxyPassword).Append("\n");
      sb.Append("  ProxyBypassFilter: ").Append(ProxyBypassFilter).Append("\n");
      sb.Append("  ProxyBypassLocalAddresses: ").Append(ProxyBypassLocalAddresses).Append("\n");
      sb.Append("  CertificateValidation: ").Append(CertificateValidation).Append("\n");
      sb.Append("  BackupFolder: ").Append(BackupFolder).Append("\n");
      sb.Append("  BackupInterval: ").Append(BackupInterval).Append("\n");
      sb.Append("  BackupRetention: ").Append(BackupRetention).Append("\n");
      sb.Append("  Id: ").Append(Id).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
