using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace RadarrSharp.Models {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class InlineResponse2008 {
    /// <summary>
    /// Gets or Sets RenameMovies
    /// </summary>
    [DataMember(Name="renameMovies", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "renameMovies")]
    public bool? RenameMovies { get; set; }

    /// <summary>
    /// Gets or Sets ReplaceIllegalCharacters
    /// </summary>
    [DataMember(Name="replaceIllegalCharacters", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "replaceIllegalCharacters")]
    public bool? ReplaceIllegalCharacters { get; set; }

    /// <summary>
    /// Gets or Sets ColonReplacementFormat
    /// </summary>
    [DataMember(Name="colonReplacementFormat", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "colonReplacementFormat")]
    public string ColonReplacementFormat { get; set; }

    /// <summary>
    /// Gets or Sets StandardMovieFormat
    /// </summary>
    [DataMember(Name="standardMovieFormat", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "standardMovieFormat")]
    public string StandardMovieFormat { get; set; }

    /// <summary>
    /// Gets or Sets MovieFolderFormat
    /// </summary>
    [DataMember(Name="movieFolderFormat", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "movieFolderFormat")]
    public string MovieFolderFormat { get; set; }

    /// <summary>
    /// Gets or Sets IncludeQuality
    /// </summary>
    [DataMember(Name="includeQuality", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "includeQuality")]
    public bool? IncludeQuality { get; set; }

    /// <summary>
    /// Gets or Sets ReplaceSpaces
    /// </summary>
    [DataMember(Name="replaceSpaces", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "replaceSpaces")]
    public bool? ReplaceSpaces { get; set; }

    /// <summary>
    /// Gets or Sets Id
    /// </summary>
    [DataMember(Name="id", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "id")]
    public decimal? Id { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class InlineResponse2008 {\n");
      sb.Append("  RenameMovies: ").Append(RenameMovies).Append("\n");
      sb.Append("  ReplaceIllegalCharacters: ").Append(ReplaceIllegalCharacters).Append("\n");
      sb.Append("  ColonReplacementFormat: ").Append(ColonReplacementFormat).Append("\n");
      sb.Append("  StandardMovieFormat: ").Append(StandardMovieFormat).Append("\n");
      sb.Append("  MovieFolderFormat: ").Append(MovieFolderFormat).Append("\n");
      sb.Append("  IncludeQuality: ").Append(IncludeQuality).Append("\n");
      sb.Append("  ReplaceSpaces: ").Append(ReplaceSpaces).Append("\n");
      sb.Append("  Id: ").Append(Id).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
