using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace RadarrSharp.Models {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class MovieEditorBody1 {
    /// <summary>
    /// Gets or Sets MovieIds
    /// </summary>
    [DataMember(Name="movieIds", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "movieIds")]
    public List<int?> MovieIds { get; set; }

    /// <summary>
    /// Gets or Sets DeleteFIles
    /// </summary>
    [DataMember(Name="deleteFIles", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "deleteFIles")]
    public bool? DeleteFIles { get; set; }

    /// <summary>
    /// Gets or Sets AddImportExclusion
    /// </summary>
    [DataMember(Name="addImportExclusion", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "addImportExclusion")]
    public bool? AddImportExclusion { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class MovieEditorBody1 {\n");
      sb.Append("  MovieIds: ").Append(MovieIds).Append("\n");
      sb.Append("  DeleteFIles: ").Append(DeleteFIles).Append("\n");
      sb.Append("  AddImportExclusion: ").Append(AddImportExclusion).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
